package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;

import cn.net.cpzslibs.prot.handset.bean.res.FarmerBean;

public interface FarmersDal {

	
	/**
	 * 插入产品列表到数据库
	 * @param products
	 */
	public void insertFarmersList(List<FarmerBean> products);
	/**
	 * 删除所有的产品信息
	 */
	public void deleteAllFarmers();
	
	/**
	 * 获取所有的产品列表信息
	 * 
	 * @return
	 */
	public List<FarmerBean> queryAllFarmersInfo();
	
	public FarmerBean getFarmers(Cursor c);
	

}
